%define		__spec_clean_body	%{nil}
%define		_enable_debug_packages	0
Summary:	KDE Frameworks - common directories
Name:		kf5-dirs
Version:	5.89.0
Release:	1
License:	LGPL
Group:		X11/Libraries
URL:		http://www.kde.org/
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
KDE Frameworks - common directories.

%prep

%install
rm -rf $RPM_BUILD_ROOT
install -d \
	$RPM_BUILD_ROOT%{_includedir}/KF5 \
	$RPM_BUILD_ROOT%{_datadir}/kf5/{kcookiejar,widgets/pics,locale} \
	$RPM_BUILD_ROOT%{_datadir}/{kservicetypes5,knotifications5,kservices5/{ServiceMenus,kded,searchproviders},kxmlgui5} \
	$RPM_BUILD_ROOT%{_datadir}/kpackage/genericqml \
	$RPM_BUILD_ROOT%{_datadir}/ksmserver \
	$RPM_BUILD_ROOT%{_datadir}/kstyle/themes \
	$RPM_BUILD_ROOT%{_datadir}/plasma/{look-and-feel,packages,plasmoids,shells} \
	$RPM_BUILD_ROOT%{_datadir}/remoteview \
	$RPM_BUILD_ROOT%{_datadir}/solid/actions \
	$RPM_BUILD_ROOT%{_datadir}/solid/devices \
	$RPM_BUILD_ROOT%{_datadir}/emoticons/Glass \
	$RPM_BUILD_ROOT%{_libexecdir}/kf5 \
	$RPM_BUILD_ROOT%{_libdir}/kf5 \
	$RPM_BUILD_ROOT%{_libdir}/qt5/plugins/kf5/{kded,parts,propertiesdialog,urifilters,org.kde.kwindowsystem.platforms} \
	$RPM_BUILD_ROOT%{_libdir}/qt5/plugins/{org.kde.kdecoration2,script} \
	$RPM_BUILD_ROOT%{_libdir}/qt5/qml/org/kde/{kconfig,kio,draganddrop,kcoreaddons,kquickcontrols,kquickcontrolsaddons,kwindowsystem,private/kquickcontrols,runnermodel} \
	$RPM_BUILD_ROOT%{_libdir}/qt5/qml/org/kde/plasma/private \
	$RPM_BUILD_ROOT%{_libdir}/qt5/qml/QtQuick/Controls/Styles \
	$RPM_BUILD_ROOT%{_libdir}/qt5/platformqml/touch/org/kde/plasma \
	$RPM_BUILD_ROOT%{_docdir}/HTML/{af,ca,cs,da,de,el,en,eo,es,et,fr,gl,he,hu,it,ja,ko,lt,nds,nl,nn,pl,pt,pt_BR,ro,ru,sl,sr,sv,tr,uk,wa,xh} \
	$RPM_BUILD_ROOT%{_sysconfdir}/xdg/ui


%clean
cd $RPM_BUILD_ROOT
check_filesystem_dirs() {
	RPMFILE=%{name}-%{version}-%{release}.%{_target_cpu}.rpm
	TMPFILE=$(mktemp)
	# NOTE:	we must exclude from check all existing dirs belonging to FHS
	find | sed -e 's|^\.||g' -e 's|^$||g' | LC_ALL=C sort | grep -v $TMPFILE | grep -E -v '^/(usr|usr/include|usr/lib|usr/lib64|usr/libx32|usr/libexec|usr/share|usr/share/doc|usr/share/applications|usr/share/icons|usr/lib/qt5|usr/lib64/qt5|usr/libx32/qt5|usr/lib/qt5/imports|usr/lib64/qt5/imports|usr/libx32/qt5/imports|usr/lib/qt5/imports/org|usr/lib64/qt5/imports/org|usr/libx32/qt5/imports/org|usr/lib/qt5/plugins|usr/lib64/qt5/plugins|usr/libx32/qt5/plugins|usr/lib/qt5/qml|usr/lib64/qt5/qml|usr/libx32/qt5/qml|usr/lib/qt5/qml/QtQuick|usr/lib64/qt5/qml/QtQuick|usr/libx32/qt5/qml/QtQuick|etc|etc/xdg)$' > $TMPFILE

	# find finds also '.', so use option -B for diff
	if rpm -qpl %{_rpmdir}/$RPMFILE | grep -v '^/$' | LC_ALL=C sort | diff -uB $TMPFILE -; then
		rm -rf $RPM_BUILD_ROOT
	else
		echo -e "\nNot so good, some directories are not included in package\n"
		exit 1
	fi
	rm -f $TMPFILE
}
check_filesystem_dirs

%files
%defattr(644,root,root,755)
%dir %{_includedir}/KF5
%dir %{_datadir}/emoticons
%dir %{_datadir}/emoticons/Glass
%dir %{_datadir}/kf5
%dir %{_datadir}/kf5/kcookiejar
%dir %{_datadir}/kf5/locale
%dir %{_datadir}/kf5/widgets
%dir %{_datadir}/kf5/widgets/pics
%dir %{_datadir}/kservicetypes5
%dir %{_datadir}/kservices5
%dir %{_datadir}/kservices5/ServiceMenus
%dir %{_datadir}/kservices5/kded
%dir %{_datadir}/kservices5/searchproviders
%dir %{_datadir}/knotifications5
%dir %{_datadir}/kxmlgui5
%dir %{_datadir}/kpackage
%dir %{_datadir}/kpackage/genericqml
%dir %{_datadir}/ksmserver
%dir %{_datadir}/kstyle
%dir %{_datadir}/kstyle/themes
%dir %{_datadir}/plasma
%dir %{_datadir}/plasma/look-and-feel
%dir %{_datadir}/plasma/packages
%dir %{_datadir}/plasma/plasmoids
%dir %{_datadir}/plasma/shells
%dir %{_datadir}/remoteview
%dir %{_datadir}/solid
%dir %{_datadir}/solid/actions
%dir %{_datadir}/solid/devices
%dir %{_libexecdir}/kf5
%dir %{_libdir}/kf5
%dir %{_libdir}/qt5/plugins/org.kde.kdecoration2
%dir %{_libdir}/qt5/plugins/script
%dir %{_libdir}/qt5/plugins/kf5
%dir %{_libdir}/qt5/plugins/kf5/kded
%dir %{_libdir}/qt5/plugins/kf5/org.kde.kwindowsystem.platforms
%dir %{_libdir}/qt5/plugins/kf5/parts
%dir %{_libdir}/qt5/plugins/kf5/propertiesdialog
%dir %{_libdir}/qt5/plugins/kf5/urifilters
%dir %{_libdir}/qt5/qml/QtQuick/Controls
%dir %{_libdir}/qt5/qml/QtQuick/Controls/Styles
%dir %{_libdir}/qt5/qml/org
%dir %{_libdir}/qt5/qml/org/kde
%dir %{_libdir}/qt5/qml/org/kde/kio
%dir %{_libdir}/qt5/qml/org/kde/draganddrop
%dir %{_libdir}/qt5/qml/org/kde/kconfig
%dir %{_libdir}/qt5/qml/org/kde/kcoreaddons
%dir %{_libdir}/qt5/qml/org/kde/kquickcontrols
%dir %{_libdir}/qt5/qml/org/kde/kquickcontrolsaddons
%dir %{_libdir}/qt5/qml/org/kde/kwindowsystem
%dir %{_libdir}/qt5/qml/org/kde/plasma
%dir %{_libdir}/qt5/qml/org/kde/plasma/private
%dir %{_libdir}/qt5/qml/org/kde/private
%dir %{_libdir}/qt5/qml/org/kde/private/kquickcontrols
%dir %{_libdir}/qt5/qml/org/kde/runnermodel
%dir %{_libdir}/qt5/platformqml
%dir %{_libdir}/qt5/platformqml/touch
%dir %{_libdir}/qt5/platformqml/touch/org
%dir %{_libdir}/qt5/platformqml/touch/org/kde
%dir %{_libdir}/qt5/platformqml/touch/org/kde/plasma
%dir %{_sysconfdir}/xdg/ui
%dir %{_docdir}/HTML/
%lang(af) %dir %{_docdir}/HTML/af
%lang(ca) %dir %{_docdir}/HTML/ca
%lang(cs) %dir %{_docdir}/HTML/cs
%lang(da) %dir %{_docdir}/HTML/da
%lang(de) %dir %{_docdir}/HTML/de
%lang(el) %dir %{_docdir}/HTML/el
%lang(en) %dir %{_docdir}/HTML/en
%lang(eo) %dir %{_docdir}/HTML/eo
%lang(es) %dir %{_docdir}/HTML/es
%lang(et) %dir %{_docdir}/HTML/et
%lang(fr) %dir %{_docdir}/HTML/fr
%lang(gl) %dir %{_docdir}/HTML/gl
%lang(he) %dir %{_docdir}/HTML/he
%lang(hu) %dir %{_docdir}/HTML/hu
%lang(it) %dir %{_docdir}/HTML/it
%lang(ja) %dir %{_docdir}/HTML/ja
%lang(ko) %dir %{_docdir}/HTML/ko
%lang(lt) %dir %{_docdir}/HTML/lt
%lang(nds) %dir %{_docdir}/HTML/nds
%lang(nl) %dir %{_docdir}/HTML/nl
%lang(nn) %dir %{_docdir}/HTML/nn
%lang(pl) %dir %{_docdir}/HTML/pl
%lang(pt) %dir %{_docdir}/HTML/pt
%lang(pt_BR) %dir %{_docdir}/HTML/pt_BR
%lang(ro) %dir %{_docdir}/HTML/ro
%lang(ru) %dir %{_docdir}/HTML/ru
%lang(sl) %dir %{_docdir}/HTML/sl
%lang(sr) %dir %{_docdir}/HTML/sr
%lang(sv) %dir %{_docdir}/HTML/sv
%lang(tr) %dir %{_docdir}/HTML/tr
%lang(uk) %dir %{_docdir}/HTML/uk
%lang(wa) %dir %{_docdir}/HTML/wa
%lang(xh) %dir %{_docdir}/HTML/xh
%changelog
* Thu Dec 16 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/kf5-dirs.git;a=log;h=master

* Mon Dec 13 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 71ac5ec
- updated to 5.89.0

* Sun Nov 14 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 20aa413
- updated to 5.88.0

* Tue Oct 12 2021 Witold Filipczyk <witekfl@poczta.onet.pl> d59f84c
- updated to 5.87.0

* Mon Sep 13 2021 Witold Filipczyk <witekfl@poczta.onet.pl> f25ffe9
- updated to 5.86.0

* Tue Aug 17 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 0af63a8
- updated to 5.85.0

* Sun Jul 11 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 5485fe1
- updated to 5.84.0

* Mon Jun 14 2021 Witold Filipczyk <witekfl@poczta.onet.pl> d6cea28
- updated to 5.83.0

* Fri May 14 2021 Jan Rękorajski <baggins@pld-linux.org> 53e8f8b
- package libdir/qt5/plugins/kf5/propertiesdialog
- rel 2

* Mon May 10 2021 Witold Filipczyk <witekfl@poczta.onet.pl> f004225
- updated to 5.82.0

* Sat Apr 10 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 4ed9874
- updated to 5.81.0

* Mon Feb 15 2021 Jan Palus <atler@pld-linux.org> b3f0ca6
- %{_libdir}/qt5/plugins/styles belongs to qt5

* Fri Jan 11 2019 Witold Filipczyk <witekfl@poczta.onet.pl> fa3437c
- added /usr/share/ksmserver
- rel 17

* Sun Sep 30 2018 Bartek Szady <bszx@bszx.eu> 9b30192
- rel 16, add HTML/pt_BR needed by okteta.

* Tue Feb 13 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> a6b408d
- rel 15; add libexec/kf5

* Sun Oct 29 2017 Witold Filipczyk <witekfl@poczta.onet.pl> f73d36c
- kpackage/genericqml

* Sun Oct 29 2017 Witold Filipczyk <witekfl@poczta.onet.pl> b2906d3
- plasma/shells, plasma/packages

* Sun Oct 29 2017 Witold Filipczyk <witekfl@poczta.onet.pl> 1727e60
- solid/devices

* Mon Oct 23 2017 Jan Rękorajski <baggins@pld-linux.org> c6bedf9
- rel 12

* Tue Sep 26 2017 Arkadiusz Miśkiewicz <arekm@maven.pl> efdcb4b
- rel 11; add datadir/solid/actions

* Mon Apr 18 2016 Jan Rękorajski <baggins@pld-linux.org> 5190490
- release 10 (by relup.sh)

